package com.example.vocab.basic

import java.util.*

class OpenHomework(id: String, name: String, date: Date, wordList: List<Word>,
                   dateCompleted: Date, class_id: String, internal_id: String,
                   _completed: Boolean = false, _completedWords: List<Word> = listOf<Word>(), problematicWords: List<Word>? = null):
    HomeWork(id, name, date, wordList, dateCompleted, class_id, internal_id,
        _completed, _completedWords, problematicWords){

    constructor(homework: HomeWork) : this(homework.id, homework.name, homework.date, homework.wordList,
        homework.dateCompleted, homework.class_id, homework.homework_id,homework.completed, homework.completedWords, homework.problematicWords)

    override var completed: Boolean = _completed
        public set

    override var completedWords: List<Word> = _completedWords
        public set
}