package com.example.vocab.basic

import android.drm.DrmStore
import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import com.example.vocab.merge

interface Syncable {
    enum class Types(val type: String){
        Student("students"),
        Teacher("teachers"),
        Homework("homework"),
        WebPage("web_pages"),
        Class("class"),
        Test("tests"),
        Vocabulary("vocabulary")
    }

    fun getType(): Types
    fun getID(): String
}