package com.example.vocab.basic

import java.util.*

open class Test(val id: String, val words: List<Word>, val class_id: String, val date: Date = Date(),
                wrongWords:List<Word> = listOf(), val homeworkID: String? = null)
    :Syncable{
    open var wrongWords = wrongWords
        protected set

    val wordsCount: Int
        get() = words.count()

    fun copy(id: String = this.id, words: List<Word> = this.words, class_id: String = this.class_id, date: Date = this.date,
                wrongWords: List<Word> = this.wrongWords, homeworkID: String? = this.homeworkID): Test{
        return Test(id, words, class_id, date, wrongWords, homeworkID)
    }

    override fun getID(): String{
        return id
    }

    override fun getType(): Syncable.Types {
        return Syncable.Types.Test
    }
}