package com.example.vocab.gui
import android.view.View
import androidx.viewbinding.ViewBinding

interface BaseItem<T : ViewBinding> {

    val layoutId: Int

    val itemID: Any

    fun initViewBinding(view: View): T

    fun getBinding(holder: BaseViewHolder<*>) {
        val specificHolder = holder as BaseViewHolder<T>
        getBinding(specificHolder.binding)
    }

    fun getBinding(binding: T)

    override fun equals(other: Any?): Boolean
}